Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/rsapk.c File Reference

RSA Public Key, code. More...

`#include "system.h"`
`#include "rsapk.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | rsapkInit (rsapk *pk)
int | rsapkFree (rsapk *pk)
int | rsapkCopy (rsapk *dst, const rsapk *src)

## Detailed Description

RSA Public Key, code.

Definition in file rsapk.c.

## Function Documentation

int rsapkCopy | ( | rsapk * | dst,
|  | const rsapk * | src
| ) |

| Definition at line 57 of file rsapk.c. References rsapk::e, mp32bcopy, mp32ncopy, and rsapk::n.

int rsapkFree | ( | rsapk * | pk | ) |

| Definition at line 47 of file rsapk.c. References rsapk::e, mp32bfree, mp32nfree, and rsapk::n.

int rsapkInit | ( | rsapk * | pk | ) |

| Definition at line 35 of file rsapk.c.